Name: jack-rack
Version: 1.4.3
Release: alt4

Summary: LADSPA effects rack for JACK
Summary(ru_RU.KOI8-R): -    LADSPA
License: GPL
Group: Sound
Url: http://iris.arb.bash.sh/~rah/software/%name

Source: %name-%version.tar.gz
Source1: %name-48.png
Source2: %name-32.png
Source3: %name-16.png

Source4: %name-1.4.3-ru.po

%define ladspa_ver 1.12-alt2
%define jack_ver 0.80.0
%define cmt_ver 1.14
%define swh_plugins_ver 0.3.4
%define ladcca_ver 0.4.0
%define lrdf_ver 0.3.5

Requires: cmt >= %cmt_ver
Requires: ladspa-swh-plugins >= %swh_plugins_ver
Requires: jackd >= %jack_ver

BuildPreReq: ladspa_sdk >= %ladspa_ver
BuildPreReq: libladcca-devel >= %ladcca_ver
BuildPreReq: liblrdf-devel >= %lrdf_ver

# Automatically added by buildreq on Fri Mar 26 2004
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 glib2-devel glibc-devel-static gnome-vfs2-devel jackit-devel ladspa_sdk libGConf2-devel libalsa-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libe2fs-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libladcca-devel liblrdf-devel libpango-devel libpopt-devel libraptor-devel libxml2-devel pkgconfig zlib-devel

%description
JACK Rack is an effects "rack" for the JACK low latency audio API.
The rack can be filled with LADSPA effects plugins. It turns your computer
into an effects box.

%description -l ru_RU.KOI8-R
JACK Rack --  -,   
   JACK.   
ޣ   Σ    LADSPA 
    MIDI.

%prep
%setup -q
%__cp %SOURCE4 po/ru.po

%build
%configure \
    --disable-rpath \
    %{subst_enable gnome}

%make_build

%install
%make_install DESTDIR=%buildroot install

#menu
%__mkdir_p %buildroot%_menudir
%__cat << __MENU__ > %buildroot%_menudir/%name
?package(%name): command="%name" icon="%name.png" \
needs="x11" title="JACK-Rack" longtitle="Stereo LADSPA effects rack" \
section="Multimedia/Sound"
__MENU__

#icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.png
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.png
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.png

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%_datadir/dtds/*
%_datadir/pixmaps/*
%_menudir/*
%_iconsdir/%name.png
%_iconsdir/*/%name.png
%doc README AUTHORS BUGS ChangeLog NEWS TODO

%changelog
* Fri Mar 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt4
- rebuild against new liblrdf.

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt3
- updated translations by avp.
- new url.

* Sat Nov 29 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt2
- rebuild with new raptor-1.0.0

* Sat Nov 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.3-alt1
- 1.4.3

* Fri Jul 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.2-alt1
- 1.4.2
- summary, description, translations by avp.

* Tue Feb 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.4.1-alt1
- First build for Sisyphus 
- for icons thanks Mandrake.
